Problema con Migración

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
marcostar
Member II

Problema con Migración

Jump to solution

Buenos días ¡

Después de llevar un par de semanas intentando arreglar una instalación en Alfresco, he decidido hacer una instalación limpia en otra máquina y he seguido el manual que encontré en esta misma web.

Importe la base de datos a postgre, copié las carpetas de alf_data tal y como mencionaba por su orden, pero me encuentro con el mismo problema, alfresco no reconoce las credenciales de inicio de sesión. Adjuntaré el log y el alfresco global properties a ver si me podéis ayudar.

Como siempre, muchas gracias

1 Solution

Accepted Solutions

Re: Problema con Migración

Jump to solution

Vamos a intentar revisar esta situación para ver si entendemos lo que ocurre.

Problemas

Leyendo el log que adjuntas, pueden verse los siguientes problemas.

org.alfresco.error.AlfrescoRuntimeException: 02110002 Failed to start modules

...

Module 'org.alfresco.integrations.google.docs' version 3.0.3 is currently installed and must be uninstalled before version 3.0.2 can be installed.

Como hablamos la semana pasada, esto indica que estás instalando una versión de Google Docs 3.0.2 pero que tienes instalada una versión de Google Docs 3.0.3. Por este motivo, la aplicación WAR alfresco no está arrancando y la aplicación WAR share no funciona porque no encuentra el repositorio

org.alfresco.error.AlfrescoRuntimeException: 02110000 GetModelsDiff return status is 404

Este es un error clásico, se produce cuando la aplicación WAR alfresco no ha podido arrancar y SOLR realiza peticiones de indexación. Ese 404 indica que SOLR no encuentra un servicio /alfresco.

El diagnóstico es muy claro: Alfresco no funciona porque no puede levantar la aplicación WAR alfresco debido a un problema de incompatibilidad de versión con el módulo de Google Docs. 

Soluciones

Tal y como indica el problema, debes instalar una versión posterior a 3.0.3 (o la propia versión 3.0.3) en la aplicación web alfresco.war para resolverlo.

En la página Community file list 201605-GA  encontrarás los módulos AMP de Google Docs 3.0.3:

alfresco-googledocs-repo-3.0.3-4com.amp

alfresco-googledocs-share-3.0.3-4com.amp

Para desplegar esta versión:

1) Copia el *-repo-*.amp a la carpeta /opt/alfresco/amps

2) Copia el *-share-*.amp a la carpeta /opt/alfresco/amps_share

3) Para Alfresco

4) Ejecuta el comando /opt/alfresco/bin/apply_amps.sh

5) Levanta Alfresco

Esto debería solucionar el problema.

Conclusión

Puedes creerme o puedes no creerme, pero el diagnóstico es claro. Y las acciones que necesitas realizar para resolverlo, también.

Software Engineer in Alfresco Search Team.
5 Replies

Re: Problema con Migración

Jump to solution

¿Por qué vuelves a pegar el mismo error?

Module 'org.alfresco.integrations.google.docs' version 3.0.3 is currently installed and must be uninstalled before version 3.0.2 can be installed.

¿Este hilo no es el mismo que el hilo anterior?

Software Engineer in Alfresco Search Team.
marcostar
Member II

Re: Problema con Migración

Jump to solution

No, es una instalación en otra máquina, y le he puesto la version de google docs que pide, y se sigue quejando de lo mismo, aunque creo que ese no es el problema principal de que no pueda acceder a alfresco. Agradezco todo tipo de ayuda

Re: Problema con Migración

Jump to solution

Vamos a intentar revisar esta situación para ver si entendemos lo que ocurre.

Problemas

Leyendo el log que adjuntas, pueden verse los siguientes problemas.

org.alfresco.error.AlfrescoRuntimeException: 02110002 Failed to start modules

...

Module 'org.alfresco.integrations.google.docs' version 3.0.3 is currently installed and must be uninstalled before version 3.0.2 can be installed.

Como hablamos la semana pasada, esto indica que estás instalando una versión de Google Docs 3.0.2 pero que tienes instalada una versión de Google Docs 3.0.3. Por este motivo, la aplicación WAR alfresco no está arrancando y la aplicación WAR share no funciona porque no encuentra el repositorio

org.alfresco.error.AlfrescoRuntimeException: 02110000 GetModelsDiff return status is 404

Este es un error clásico, se produce cuando la aplicación WAR alfresco no ha podido arrancar y SOLR realiza peticiones de indexación. Ese 404 indica que SOLR no encuentra un servicio /alfresco.

El diagnóstico es muy claro: Alfresco no funciona porque no puede levantar la aplicación WAR alfresco debido a un problema de incompatibilidad de versión con el módulo de Google Docs. 

Soluciones

Tal y como indica el problema, debes instalar una versión posterior a 3.0.3 (o la propia versión 3.0.3) en la aplicación web alfresco.war para resolverlo.

En la página Community file list 201605-GA  encontrarás los módulos AMP de Google Docs 3.0.3:

alfresco-googledocs-repo-3.0.3-4com.amp

alfresco-googledocs-share-3.0.3-4com.amp

Para desplegar esta versión:

1) Copia el *-repo-*.amp a la carpeta /opt/alfresco/amps

2) Copia el *-share-*.amp a la carpeta /opt/alfresco/amps_share

3) Para Alfresco

4) Ejecuta el comando /opt/alfresco/bin/apply_amps.sh

5) Levanta Alfresco

Esto debería solucionar el problema.

Conclusión

Puedes creerme o puedes no creerme, pero el diagnóstico es claro. Y las acciones que necesitas realizar para resolverlo, también.

Software Engineer in Alfresco Search Team.
marcostar
Member II

Re: Problema con Migración

Jump to solution

Con esa explicacion me ha quedado bastante claro, voy a ponerme a hacerlo ahora mismo siguiendo tus pasos, lo único, no sabia que hania que desplegar la instalacion de ese modulo con un comando, yo estoy usando windows, entiendo la ruta del comando no es la misma, ya que esa es para linux.

Evidentemente te creo, y te agradezco enormemente la ayuda. El mensaje que hay debajo con mas logs, lo envíe antes de que me respondieras.

Ahora mismo voy a ponerme con esto.

Muchisimas gracias, pondré los resultados aqui.

marcostar
Member II

Re: Problema con Migración

Jump to solution

Tu explicación ha sido clave. He conseguido ponerlo a funcionar de inmediato. Muchísimas gracias por tu ayuda